Index: trunk/abdev/BasicCompiler32/NumOpe.cpp
===================================================================
--- trunk/abdev/BasicCompiler32/NumOpe.cpp	(revision 259)
+++ trunk/abdev/BasicCompiler32/NumOpe.cpp	(revision 265)
@@ -76,5 +76,5 @@
 	SetStringQuotes( parameter );
 
-	Operator_New( *compiler.objectModule.meta.GetClasses().GetStringClassPtr(), "", parameter, Type( DEF_OBJECT, *compiler.objectModule.meta.GetClasses().GetStringClassPtr() ) );
+	Operator_New( *compiler.GetObjectModule().meta.GetClasses().GetStringClassPtr(), "", parameter, Type( DEF_OBJECT, *compiler.GetObjectModule().meta.GetClasses().GetStringClassPtr() ) );
 
 	free( parameter );
@@ -254,5 +254,5 @@
 		Type leftType;
 		if( GetTermType( termLeft, leftType, isLiteral, &isClassName ) ){
-			if( isClassName == false && compiler.objectModule.meta.GetBlittableTypes().IsExist( leftType ) ){
+			if( isClassName == false && compiler.GetObjectModule().meta.GetBlittableTypes().IsExist( leftType ) ){
 				// 左側のオブジェクト部分がBlittable型のとき
 
@@ -260,5 +260,5 @@
 				lstrcpy( temporary, termLeft );
 				sprintf( termLeft, "%s(%s)",
-					compiler.objectModule.meta.GetBlittableTypes().Find( leftType ).GetCreateStaticMethodFullName().c_str(),
+					compiler.GetObjectModule().meta.GetBlittableTypes().Find( leftType ).GetCreateStaticMethodFullName().c_str(),
 					temporary );
 			}
@@ -289,5 +289,5 @@
 
 	if( pIsClassName ){
-		if( compiler.objectModule.meta.GetClasses().Find( termFull ) ){
+		if( compiler.GetObjectModule().meta.GetClasses().Find( termFull ) ){
 			*pIsClassName = true;
 			return true;
@@ -380,5 +380,5 @@
 		}
 
-		ConstMacro *pConstMacro = compiler.objectModule.meta.GetGlobalConstMacros().Find( procName );
+		ConstMacro *pConstMacro = compiler.GetObjectModule().meta.GetGlobalConstMacros().Find( procName );
 		if( pConstMacro )
 		{
@@ -582,5 +582,5 @@
 		}
 
-		i2 = compiler.objectModule.dataTable.AddBinary( binary, num * tempBaseType.GetSize() );
+		i2 = compiler.GetObjectModule().dataTable.AddBinary( binary, num * tempBaseType.GetSize() );
 
 		//mov eax,i2
@@ -780,5 +780,5 @@
 
 						type_stack[sp]=DEF_OBJECT;
-						index_stack[sp]=(LONG_PTR)compiler.objectModule.meta.GetClasses().GetStringClassPtr();
+						index_stack[sp]=(LONG_PTR)compiler.GetObjectModule().meta.GetClasses().GetStringClassPtr();
 						bLiteralCalculation=0;
 
@@ -791,5 +791,5 @@
 					bLiteralCalculation=0;
 
-					i2=compiler.objectModule.dataTable.AddString(term,i3);
+					i2=compiler.GetObjectModule().dataTable.AddString(term,i3);
 
 					//push DataSize
@@ -875,5 +875,5 @@
 						}
 						else{
-							index_stack[sp] = (LONG_PTR)compiler.objectModule.meta.GetClasses().GetObjectClassPtr();
+							index_stack[sp] = (LONG_PTR)compiler.GetObjectModule().meta.GetClasses().GetObjectClassPtr();
 						}
 
@@ -892,10 +892,10 @@
 					//////////////
 
-					i3 = compiler.objectModule.meta.GetGlobalConsts().GetBasicType(term);
+					i3 = compiler.GetObjectModule().meta.GetGlobalConsts().GetBasicType(term);
 					if(i3){
-						if( compiler.objectModule.meta.GetGlobalConsts().IsStringPtr( term ) ){
+						if( compiler.GetObjectModule().meta.GetGlobalConsts().IsStringPtr( term ) ){
 							//リテラル文字列
 
-							double dbl = compiler.objectModule.meta.GetGlobalConsts().GetDoubleData(term);
+							double dbl = compiler.GetObjectModule().meta.GetGlobalConsts().GetDoubleData(term);
 							memcpy(&i64data,&dbl,sizeof(double));
 
@@ -911,5 +911,5 @@
 						if(IsRealNumberType(i3)){
 							//実数
-							double dbl = compiler.objectModule.meta.GetGlobalConsts().GetDoubleData(term);
+							double dbl = compiler.GetObjectModule().meta.GetGlobalConsts().GetDoubleData(term);
 							memcpy(&i64data,&dbl,sizeof(double));
 							goto Literal;
@@ -917,5 +917,5 @@
 						else if(IsWholeNumberType(i3)){
 							//整数
-							i64data = compiler.objectModule.meta.GetGlobalConsts().GetWholeData(term);
+							i64data = compiler.GetObjectModule().meta.GetGlobalConsts().GetWholeData(term);
 							goto Literal;
 						}
